@echo off

echo Copying registry key to new name for Current User...
reg copy "HKEY_CURRENT_USER\Software\ShouldCost\ShouldCostDEEP_Kernel\AddInsStartup\{CCAC6208-0E19-6455-2019-2024E1B541FA}" "HKEY_CURRENT_USER\Software\ShouldCost\ShouldCostDEEP_Kernel\AddInsStartup\{CCAC6208-0E19-6455-2019-2023E1B541FA}" /s /f

echo.
echo Verifying copy was successful...
reg query "HKEY_CURRENT_USER\Software\ShouldCost\ShouldCostDEEP_Kernel\AddInsStartup\{CCAC6208-0E19-6455-2019-2023E1B541FA}" >nul 2>&1
if %errorlevel% equ 0 (
    echo Copy successful - removing old key...
    reg delete "HKEY_CURRENT_USER\Software\ShouldCost\ShouldCostDEEP_Kernel\AddInsStartup\{CCAC6208-0E19-6455-2019-2024E1B541FA}" /f
) else (
    echo ERROR: Copy failed - old key retained
    echo Please check the backup and try again
)

echo.
echo Copying registry key to new name for Local Machine...
reg copy "HKEY_LOCAL_MACHINE\SOFTWARE\ShouldCost\ShouldCostDEEP_Kernel\AddIns\{CCAC6208-0E19-6455-2019-2024E1B541FA}" "HKEY_LOCAL_MACHINE\SOFTWARE\ShouldCost\ShouldCostDEEP_Kernel\AddIns\{CCAC6208-0E19-6455-2019-2023E1B541FA}" /s /f

echo Verifying copy was successful...
reg query "HKEY_LOCAL_MACHINE\SOFTWARE\ShouldCost\ShouldCostDEEP_Kernel\AddIns\{CCAC6208-0E19-6455-2019-2023E1B541FA}" >nul 2>&1
if %errorlevel% equ 0 (
    echo Copy successful - removing old key...
    reg delete "HKEY_LOCAL_MACHINE\SOFTWARE\ShouldCost\ShouldCostDEEP_Kernel\AddIns\{CCAC6208-0E19-6455-2019-2024E1B541FA}" /f
) else (
    echo ERROR: Copy failed - old key retained
    echo Please check the backup and try again
)

echo.
echo CAMWorks Registry keys fixed. 
pause